<script lang="ts">
	import Logo from '$lib/Logo.svelte';
	import Darkmode from '$lib/darkmode.svelte';
	import type { PageData } from './$types';

	export let data: PageData;
</script>

<main>
	<header>
		<Logo></Logo>

		<Darkmode></Darkmode>
	</header>
    <div id="invite-dialog">
        <h1>You have been invited to "{data.courseName}" as {data.role}</h1>
        <div id="actions">
            <md-text-button>Reject</md-text-button>
            <md-filled-button>Accept</md-filled-button>
        </div>
    </div>
</main>

<style>
	main {
		padding: 1em;
	}

	header {
		display: flex;
		justify-content: space-between;
        margin-bottom: 1em;
	}

    #invite-dialog {
        background-color: var(--md-sys-color-surface);
        border-radius: 1em;
        padding: 1em;
        max-width: 50ch;
        margin: 0 auto;
    }

    h1 {
        margin: 0;
        font-size: 1.5em;
    }

    #actions {
        display: flex;
        justify-content: space-between;
        margin-top: 1em;
    }
</style>
